##  for Mageia 9  ##

%global unicodedir %{_datadir}/unicode
%global emojidir %{unicodedir}/emoji

Name: unicode-emoji
Summary: Unicode Emoji Data Files
Version: 16.0
Release: 1.np9
Group:   System/Internationalization
License: Unicode
URL:     https://www.unicode.org/emoji/

Source0: https://www.unicode.org/copyright.html
Source1: https://www.unicode.org/Public/emoji/%{version}/ReadMe.txt
Source2: https://www.unicode.org/Public/16.0.0/ucd/emoji/emoji-data.txt
Source3: https://www.unicode.org/Public/emoji/%{version}/emoji-sequences.txt
Source4: https://www.unicode.org/Public/emoji/%{version}/emoji-test.txt
Source5: https://www.unicode.org/Public/16.0.0/ucd/emoji/emoji-variation-sequences.txt
Source6: https://www.unicode.org/Public/emoji/%{version}/emoji-zwj-sequences.txt

BuildArch: noarch

%description
Unicode Emoji Data Files are the machine-readable emoji data files associated with
http://www.unicode.org/reports/tr51/index.html


%prep
%{nil}

%build
%{nil}

%install
cp -p %{SOURCE0} .
mkdir -p %{buildroot}%{emojidir}
cp -p %{SOURCE1} %{buildroot}%{emojidir}
cp -p %{SOURCE2} %{buildroot}%{emojidir}
cp -p %{SOURCE3} %{buildroot}%{emojidir}
cp -p %{SOURCE4} %{buildroot}%{emojidir}
cp -p %{SOURCE5} %{buildroot}%{emojidir}
cp -p %{SOURCE6} %{buildroot}%{emojidir}

%files
%license copyright.html
%{emojidir}/ReadMe.txt
%{emojidir}/emoji-*txt


%changelog
* Fri Sep 13 2024 tomcat <> 16.0-1.np9
- 16.0

* Sun Mar 24 2024 tomcat <> 15.1-1.np9
- 15.1

* Sun Feb 26 2023 tomcat <> 15.0-2.np9
- build for Mageia 9

* Mon Sep 19 2022 tomcat <> 15.0-1.nora8
- 15.0

* Mon Mar 14 2022 tomcat <> 14.0-1.nora8
- 14.0 for Mageia 8
- fix URL

* Tue Sep 29 2020 tomcat <> 13.1-1.nora7
- 13.1

* Mon Dec 31 2018 wally <wally> 11.0-1.mga7
+ Revision: 1347510
- new version 11.0

* Wed Sep 19 2018 umeabot <umeabot> 4.0-2.mga7
+ Revision: 1276936
- Mageia 7 Mass Rebuild

* Tue May 16 2017 yochenhsieh <yochenhsieh> 4.0-1.mga6
+ Revision: 1102064
- imported package unicode-emoji

